Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.workbench.diagram
Class ClipboardView

    java.lang.Object
      java.awt.Component
          java.awt.Container
              javax.swing.JComponent
                  javax.swing.JPanel
                      ru.biosoft.gui.ViewPartSupport
                          biouml.workbench.diagram.ClipboardView

All Implemented Interfaces:
  javax.accessibility.Accessible, java.util.EventListener, java.awt.image.ImageObserver, javax.swing.event.ListSelectionListener, java.awt.MenuContainer, java.io.Serializable, com.beanexplorer.undo.TransactionListener, ViewPaneListener, ViewPart

public class ClipboardView
extends ViewPartSupport
implements ViewPaneListener, javax.swing.event.ListSelectionListener

Spike solution for clipboard.

See Also:
  Serialized Form
Pendung:
  - explore issues - undo/redo, document, store updated kernel into the database. Possibly clipboard also can be considered as document like repositoryDocument. In any case we need to add

Nested Class Summary

Nested classes inherited from class javax.swing.JPanel
`javax.swing.JPanel.AccessibleJPanel`

Nested classes inherited from class javax.swing.JComponent
`javax.swing.JComponent.AccessibleJComponent`

Nested classes inherited from class java.awt.Container
`java.awt.Container.AccessibleAWTContainer`

Nested classes inherited from class java.awt.Component
`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

Field Summary
`protected javax.swing.Action[]` | `actions`
`protected com.beanexplorer.swing.table.DefaultRowModel` | `clipboardModel`
`protected com.beanexplorer.swing.TabularPropertyInspector` | `clipboardTable`
`static java.lang.String` | `COPY`
`protected javax.swing.Action` | `copyAction`
`static java.lang.String` | `DELETE`
`protected javax.swing.Action` | `deleteAction`
`protected DiagramElement` | `exploredDiagramElement`
`protected static org.apache.log4j.Category` | `log`
`static java.lang.String` | `PASTE`
`protected javax.swing.Action` | `pasteAction`

Fields inherited from class ru.biosoft.gui.ViewPartSupport
`action, document, model, modelValidator`

Fields inherited from class javax.swing.JComponent
`accessibleContext, listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface ru.biosoft.gui.ViewPart
`DEFAULT_PRIORITY, PRIORITY, STATIC_VIEW`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`ClipboardView()`

Method Summary
`boolean` | `canExplore(java.lang.Object model)`
`protected void` | `diagramSelectionChanged()`
`void` | `explore(java.lang.Object model, Document document)` Notifies the view part that it should explore new data.
`javax.swing.Action[]` | `getActions()` Returns actions that are specific for this view part.
`void` | `mouseClicked(ViewPaneEvent e)` Invoked when the mouse has been clicked on a view pane.
`void` | `mouseDragged(ViewPaneEvent e)`
`void` | `mouseEntered(ViewPaneEvent e)` Invoked when the mouse enters a view pane.
`void` | `mouseExited(ViewPaneEvent e)` Invoked when the mouse exits a view pane.
`void` | `mouseMoved(ViewPaneEvent e)`
`void` | `mousePressed(ViewPaneEvent e)` Invoked when a mouse button has been pressed on a view pane.
`void` | `mouseReleased(ViewPaneEvent e)` Invoked when a mouse button has been released on a view pane.
`void` | `valueChanged(javax.swing.event.ListSelectionEvent e)`

Methods inherited from class ru.biosoft.gui.ViewPartSupport
`addEdit, completeTransaction, getAction, getDocument, getModel, getModelValidator, getView, setModelValidator, startTransaction`

Methods inherited from class javax.swing.JPanel
`getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

Methods inherited from class javax.swing.JComponent
`addAncestorListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBorder, getBounds, getClientProperty, getComponentGraphics, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getGraphics, getHeight, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPreferredSize, getPropertyChangeListeners, getPropertyChangeListeners, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, isDoubleBuffered, isLightweightComponent, isManagingFocus, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isOptimizedDrawingEnabled, isPaintingTile, isPreferredSizeSet, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFont, setForeground, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setLayout, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### log

    protected static org.apache.log4j.Category log

### clipboardModel

    protected com.beanexplorer.swing.table.DefaultRowModel clipboardModel

### clipboardTable

    protected com.beanexplorer.swing.TabularPropertyInspector clipboardTable

### exploredDiagramElement

    protected DiagramElement exploredDiagramElement

### COPY

    public static final java.lang.String COPY

See Also:
  Constant Field Values

### PASTE

    public static final java.lang.String PASTE

See Also:
  Constant Field Values

### DELETE

    public static final java.lang.String DELETE

See Also:
  Constant Field Values

### copyAction

    protected javax.swing.Action copyAction

### pasteAction

    protected javax.swing.Action pasteAction

### deleteAction

    protected javax.swing.Action deleteAction

### actions

    protected javax.swing.Action[] actions

Constructor Detail

### ClipboardView

    public ClipboardView()

Method Detail

### canExplore

    public boolean canExplore(java.lang.Object model)

  Specified by:
    `canExplore` in interface `ViewPart`
  Overrides:
    `canExplore` in class `ViewPartSupport`

### explore

    public void explore(java.lang.Object model,
                        Document document)

  Description copied from interface: `ViewPart`
  Notifies the view part that it should explore new data.

  Specified by:
    `explore` in interface `ViewPart`
  Overrides:
    `explore` in class `ViewPartSupport`

### mouseClicked

    public void mouseClicked(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when the mouse has been clicked on a view pane.

  Specified by:
    `mouseClicked` in interface `ViewPaneListener`

### mousePressed

    public void mousePressed(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when a mouse button has been pressed on a view pane.

  Specified by:
    `mousePressed` in interface `ViewPaneListener`

### mouseReleased

    public void mouseReleased(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when a mouse button has been released on a view pane.

  Specified by:
    `mouseReleased` in interface `ViewPaneListener`

### mouseEntered

    public void mouseEntered(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when the mouse enters a view pane.

  Specified by:
    `mouseEntered` in interface `ViewPaneListener`

### mouseExited

    public void mouseExited(ViewPaneEvent e)

  Description copied from interface: `ViewPaneListener`
  Invoked when the mouse exits a view pane.

  Specified by:
    `mouseExited` in interface `ViewPaneListener`

### mouseDragged

    public void mouseDragged(ViewPaneEvent e)

  Specified by:
    `mouseDragged` in interface `ViewPaneListener`

### mouseMoved

    public void mouseMoved(ViewPaneEvent e)

  Specified by:
    `mouseMoved` in interface `ViewPaneListener`

### diagramSelectionChanged

    protected void diagramSelectionChanged()

### valueChanged

    public void valueChanged(javax.swing.event.ListSelectionEvent e)

  Specified by:
    `valueChanged` in interface `javax.swing.event.ListSelectionListener`
  Pendung:
    - explore, setup document for undo/redo

### getActions

    public javax.swing.Action[] getActions()

  Description copied from interface: `ViewPart`
  Returns actions that are specific for this view part.

  Specified by:
    `getActions` in interface `ViewPart`
  Overrides:
    `getActions` in class `ViewPartSupport`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2003 Biosof.Ru. All Rights Reserved.